import math
from calc_p_from_t import p_value

X = [ 5.128,
      4.000,
      4.587,
      4.831 ]

Y = [ 4.082,
      3.571,
      3.891,
      3.413 ]

M = len(X)
N = len(Y)
print("M = %d"%M)
print("N = %d"%N)
sumX = 0.0
for i in range(0, M):
    sumX += X[i]
meanX = sumX / M
sumY = 0.0
for i in range(0, N):
    sumY += Y[i]
meanY = sumY / N
print("mean of X = %f"%meanX)
print("mean of Y = %f"%meanY)
sumSS = 0.0
for i in range(0, M):
    sumSS += (X[i] - meanX)**2
for i in range(0, N):
    sumSS += (Y[i] - meanY)**2
s2 = sumSS / (M + N - 2.0)
print("s^2 = %f"%s2)
s2X_Y = (s2 / M) + (s2 / N)
t = (meanX - meanY) / math.sqrt(s2X_Y)
df = M + N - 2
p = p_value( t, df )
print("\nt = %f   df = %d"%(t, df))
print("Prob(x < %f) = %f     Prob(x > %f) = %f"%(t, p, t, 1.0 - p))

