import math
from calc_p_from_t import p_value

class Ccalc_t_indep:
    def __init__(self, X, Y):
        self.X = X
        self.Y = Y
        self.M = len(self.X)
        self.N = len(self.Y)
        print("M = %d"%self.M)
        print("N = %d"%self.N)

    def calc(self):
        sumX = 0.0
        for i in range(0, self.M):
            sumX += self.X[i]
        meanX = sumX / self.M
        sumY = 0.0
        for i in range(0, self.N):
            sumY += self.Y[i]
        meanY = sumY / self.N
        print("mean of X = %f"%meanX)
        print("mean of Y = %f"%meanY)
        sumSS = 0.0
        for i in range(0, self.M):
            sumSS += (self.X[i] - meanX)**2
        for i in range(0, self.N):
            sumSS += (self.Y[i] - meanY)**2
        s2 = sumSS / (self.M + self.N - 2.0)
        print("s^2 = %f"%s2)
        s2X_Y = (s2 / self.M) + (s2 / self.N)
        t = (meanX - meanY) / math.sqrt(s2X_Y)        
        df = self.M + self.N - 2
        p = p_value( t, df )
        return t, p, df

        
